using adas_core.Domain.Models;
using adas_core.Domain.Models.MongoModels;
using MongoDB.Bson;

namespace adas_core.Application.Services.Interfaces;

public interface IRecordingAlertService : IApiRequestService
{
    Task<List<PatientRecordingAlert>> FindLastRecordingAlert(ObjectId patientId, int num = 2);
    Task DeleteByPatientId(ObjectId id);
    Task Archive(Patient patient);
    Task ArchiveByPatientId(ObjectId id);

    Task UpdateManyObjectId(string nameId, ObjectId id, ObjectId oldId);
}